com.collabnet.ce.soap60.webservices.wiki

## Class WikiPageSoapDO

- java.lang.Object
- - com.collabnet.ce.soap60.webservices.cemain.ObjectSoapDO
  - - com.collabnet.ce.soap60.webservices.cemain.ItemSoapDO
    - - com.collabnet.ce.soap60.webservices.wiki.WikiPageSoapDO

-     public class WikiPageSoapDO
      extends com.collabnet.ce.soap60.webservices.cemain.ItemSoapDO

  WikiPageSoapDO represents the data in a wiki page.
  Since:
    4.2

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WikiPageSoapDO()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Date` | `getDateVersionCreated()` Returns 'dateVersionCreated'.
    `String` | `getVersionComment()` Returns 'versionComment'.
    `String` | `getVersionCreatedBy()` Returns 'versionCreatedBy'.
    `int` | `getWikiPageVersion()` Returns 'wikiPageVersion'.
    `String` | `getWikiText()` Returns 'wikiText'.
    `static void` | `registerTypeMappings(org.apache.axis.client.Call call)`
    `void` | `setDateVersionCreated(Date dateVersionCreated)` Sets 'dateVersionCreated'.
    `void` | `setVersionComment(String versionComment)` Sets 'versionComment'.
    `void` | `setVersionCreatedBy(String versionCreatedBy)` Sets 'versionCreatedBy'.
    `void` | `setWikiPageVersion(int wikiPageVersion)` Sets 'wikiPageVersion'.
    `void` | `setWikiText(String wikiText)` Sets 'wikiText'.

    - ### Methods inherited from class com.collabnet.ce.soap60.webservices.cemain.ItemSoapDO

      `getFolderId, getPath, getTitle, setFolderId, setPath, setTitle`

    - ### Methods inherited from class com.collabnet.ce.soap60.webservices.cemain.ObjectSoapDO

      `getCreatedBy, getCreatedDate, getId, getLastModifiedBy, getLastModifiedDate, getVersion, setCreatedBy, setCreatedDate, setId, setLastModifiedBy, setLastModifiedDate, setVersion`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WikiPageSoapDO

          public WikiPageSoapDO()

  - ### Method Detail

    - #### getWikiText

          public String getWikiText()

      Returns 'wikiText'. Wiki page text.
      Returns:
        Value of 'wikiText'.

    - #### setWikiText

          public void setWikiText(String wikiText)

      Sets 'wikiText'. Wiki page text.
      Parameters:
        `wikiText` - Value of 'wikiText'.

    - #### getWikiPageVersion

          public int getWikiPageVersion()

      Returns 'wikiPageVersion'. Wiki page version number.
      Returns:
        Value of 'wikiPageVersion'.

    - #### setWikiPageVersion

          public void setWikiPageVersion(int wikiPageVersion)

      Sets 'wikiPageVersion'. Wiki page version number.
      Parameters:
        `wikiPageVersion` - Value of 'wikiPageVersion'.

    - #### getDateVersionCreated

          public Date getDateVersionCreated()

      Returns 'dateVersionCreated'. Date this version of wiki page was created.
      Returns:
        Value of 'dateVersionCreated'.

    - #### setDateVersionCreated

          public void setDateVersionCreated(Date dateVersionCreated)

      Sets 'dateVersionCreated'. Date this version of wiki page was created.
      Parameters:
        `dateVersionCreated` - Value of 'dateVersionCreated'.

    - #### getVersionCreatedBy

          public String getVersionCreatedBy()

      Returns 'versionCreatedBy'. User who created this version.
      Returns:
        Value of 'versionCreatedBy'.

    - #### setVersionCreatedBy

          public void setVersionCreatedBy(String versionCreatedBy)

      Sets 'versionCreatedBy'. User who created this version.
      Parameters:
        `versionCreatedBy` - Value of 'versionCreatedBy'.

    - #### getVersionComment

          public String getVersionComment()

      Returns 'versionComment'. Wiki page version.
      Returns:
        Value of 'versionComment'.

    - #### setVersionComment

          public void setVersionComment(String versionComment)

      Sets 'versionComment'. Wiki page version.
      Parameters:
        `versionComment` - Value of 'versionComment'.

    - #### registerTypeMappings

          public static void registerTypeMappings(org.apache.axis.client.Call call)

Copyright © 2019 CollabNet. All rights reserved.